'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var isTypeOf = exports.isTypeOf = function isTypeOf(type) {
  return function (object) {
    var label = object.labels[0];

    return label.toLowerCase() === type.toLowerCase();
  };
};

var idResolver = exports.idResolver = function idResolver(node) {
  return node.uuid;
};

var fieldResolver = exports.fieldResolver = function fieldResolver(fieldName) {
  return function (node) {
    return node.properties[fieldName];
  };
};

var idField = exports.idField = {
  type: 'id',
  resolve: idResolver
};